#ifndef SHADERS_H
#define SHADERS_H

#include "client/rendering/wrapper/Shader.h"

struct Shaders final {
    Shaders();
    bool hasError() const;

    Shader world;
    Shader worldLines;
    Shader ssao;
    Shader ssaoBlur;
    Shader shadow;
    Shader postWorld;
    Shader text;
    Shader antialias;
};

#endif