#version 430

layout (location = 0) out vec3 worldPosition;
layout (location = 1) out vec3 worldNormal;
layout (location = 2) out vec4 worldColor;
layout (location = 3) out float worldShadow;

in vec3 varPosition;
in vec3 varColor;

void main(void) {
    worldPosition = varPosition;
    worldNormal = vec3(0.0, 0.0, 1.0);
    worldColor = vec4(varColor, 1.0);
    worldShadow = 1.0;
}