#ifndef PLANE3D_H
#define PLANE3D_H

#include "common/math/Vector.h"

class Plane final {
public:
    Plane();

    void set(const Vector3& va, const Vector3& vb, const Vector3& vc);
    float getSignedDistance(const Vector3& v) const;

private:
    Vector3 abc;
    float d;
};

#endif