#ifndef LINES_H
#define LINES_H

#include "client/rendering/wrapper/VertexBuffer.h"
#include "common/utils/List.h"
#include "client/rendering/Triangle.h"

class Lines final {
public:
    Lines();

    void add(const Vector3& a, const Vector3& b, int color);

    void clear();
    void build();
    void draw() const;

private:
    VertexBuffer vertexBuffer;
    List<Vector3, 20000> buffer;
};

#endif