#ifndef TRIANGLE_H
#define TRIANGLE_H

#include "client/rendering/Vertex.h"

struct Triangle final {
    Triangle();
    Triangle(const Vertex& a, const Vertex& b, const Vertex& c);

//private:
    Vertex a;
    Vector3 normalA;
    Vector3 tangentA;
    Vertex b;
    Vector3 normalB;
    Vector3 tangentB;
    Vertex c;
    Vector3 normalC;
    Vector3 tangentC;
};

#endif